pragma Warnings (Off);
pragma Ada_95;
with System;
with System.Parameters;
with System.Secondary_Stack;
package ada_main is

   gnat_argc : Integer;
   gnat_argv : System.Address;
   gnat_envp : System.Address;

   pragma Import (C, gnat_argc);
   pragma Import (C, gnat_argv);
   pragma Import (C, gnat_envp);

   gnat_exit_status : Integer;
   pragma Import (C, gnat_exit_status);

   GNAT_Version : constant String :=
                    "GNAT Version: 9.1.1 20190605 (Red Hat 9.1.1-2)" & ASCII.NUL;
   pragma Export (C, GNAT_Version, "__gnat_version");

   Ada_Main_Program_Name : constant String := "_ada_templates2ada" & ASCII.NUL;
   pragma Export (C, Ada_Main_Program_Name, "__gnat_ada_main_program_name");

   procedure adainit;
   pragma Export (C, adainit, "adainit");

   procedure adafinal;
   pragma Export (C, adafinal, "adafinal");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer;
   pragma Export (C, main, "main");

   type Version_32 is mod 2 ** 32;
   u00001 : constant Version_32 := 16#0a16292c#;
   pragma Export (C, u00001, "templates2adaB");
   u00002 : constant Version_32 := 16#050ff2f0#;
   pragma Export (C, u00002, "system__standard_libraryB");
   u00003 : constant Version_32 := 16#70c0456d#;
   pragma Export (C, u00003, "system__standard_libraryS");
   u00004 : constant Version_32 := 16#76789da1#;
   pragma Export (C, u00004, "adaS");
   u00005 : constant Version_32 := 16#5b4659fa#;
   pragma Export (C, u00005, "ada__charactersS");
   u00006 : constant Version_32 := 16#8f637df8#;
   pragma Export (C, u00006, "ada__characters__handlingB");
   u00007 : constant Version_32 := 16#3b3f6154#;
   pragma Export (C, u00007, "ada__characters__handlingS");
   u00008 : constant Version_32 := 16#4b7bb96a#;
   pragma Export (C, u00008, "ada__characters__latin_1S");
   u00009 : constant Version_32 := 16#e6d4fa36#;
   pragma Export (C, u00009, "ada__stringsS");
   u00010 : constant Version_32 := 16#77e65b42#;
   pragma Export (C, u00010, "systemS");
   u00011 : constant Version_32 := 16#34742901#;
   pragma Export (C, u00011, "system__exception_tableB");
   u00012 : constant Version_32 := 16#2a483200#;
   pragma Export (C, u00012, "system__exception_tableS");
   u00013 : constant Version_32 := 16#ae860117#;
   pragma Export (C, u00013, "system__soft_linksB");
   u00014 : constant Version_32 := 16#32e550f4#;
   pragma Export (C, u00014, "system__soft_linksS");
   u00015 : constant Version_32 := 16#c2f8f675#;
   pragma Export (C, u00015, "system__secondary_stackB");
   u00016 : constant Version_32 := 16#3272a35b#;
   pragma Export (C, u00016, "system__secondary_stackS");
   u00017 : constant Version_32 := 16#a6b17eb4#;
   pragma Export (C, u00017, "ada__exceptionsB");
   u00018 : constant Version_32 := 16#698d4f2d#;
   pragma Export (C, u00018, "ada__exceptionsS");
   u00019 : constant Version_32 := 16#5726abed#;
   pragma Export (C, u00019, "ada__exceptions__last_chance_handlerB");
   u00020 : constant Version_32 := 16#41e5552e#;
   pragma Export (C, u00020, "ada__exceptions__last_chance_handlerS");
   u00021 : constant Version_32 := 16#ce4af020#;
   pragma Export (C, u00021, "system__exceptionsB");
   u00022 : constant Version_32 := 16#1f8536b4#;
   pragma Export (C, u00022, "system__exceptionsS");
   u00023 : constant Version_32 := 16#69416224#;
   pragma Export (C, u00023, "system__exceptions__machineB");
   u00024 : constant Version_32 := 16#d27d9682#;
   pragma Export (C, u00024, "system__exceptions__machineS");
   u00025 : constant Version_32 := 16#aa0563fc#;
   pragma Export (C, u00025, "system__exceptions_debugB");
   u00026 : constant Version_32 := 16#096ca286#;
   pragma Export (C, u00026, "system__exceptions_debugS");
   u00027 : constant Version_32 := 16#6c2f8802#;
   pragma Export (C, u00027, "system__img_intB");
   u00028 : constant Version_32 := 16#753dbb80#;
   pragma Export (C, u00028, "system__img_intS");
   u00029 : constant Version_32 := 16#ced09590#;
   pragma Export (C, u00029, "system__storage_elementsB");
   u00030 : constant Version_32 := 16#5a251146#;
   pragma Export (C, u00030, "system__storage_elementsS");
   u00031 : constant Version_32 := 16#39df8c17#;
   pragma Export (C, u00031, "system__tracebackB");
   u00032 : constant Version_32 := 16#29c48586#;
   pragma Export (C, u00032, "system__tracebackS");
   u00033 : constant Version_32 := 16#9ed49525#;
   pragma Export (C, u00033, "system__traceback_entriesB");
   u00034 : constant Version_32 := 16#77bdad32#;
   pragma Export (C, u00034, "system__traceback_entriesS");
   u00035 : constant Version_32 := 16#bb296fbb#;
   pragma Export (C, u00035, "system__traceback__symbolicB");
   u00036 : constant Version_32 := 16#c84061d1#;
   pragma Export (C, u00036, "system__traceback__symbolicS");
   u00037 : constant Version_32 := 16#701f9d88#;
   pragma Export (C, u00037, "ada__exceptions__tracebackB");
   u00038 : constant Version_32 := 16#20245e75#;
   pragma Export (C, u00038, "ada__exceptions__tracebackS");
   u00039 : constant Version_32 := 16#a0d3d22b#;
   pragma Export (C, u00039, "system__address_imageB");
   u00040 : constant Version_32 := 16#d60ac678#;
   pragma Export (C, u00040, "system__address_imageS");
   u00041 : constant Version_32 := 16#8c33a517#;
   pragma Export (C, u00041, "system__wch_conB");
   u00042 : constant Version_32 := 16#6c9b7990#;
   pragma Export (C, u00042, "system__wch_conS");
   u00043 : constant Version_32 := 16#9721e840#;
   pragma Export (C, u00043, "system__wch_stwB");
   u00044 : constant Version_32 := 16#418a5591#;
   pragma Export (C, u00044, "system__wch_stwS");
   u00045 : constant Version_32 := 16#a831679c#;
   pragma Export (C, u00045, "system__wch_cnvB");
   u00046 : constant Version_32 := 16#632cc363#;
   pragma Export (C, u00046, "system__wch_cnvS");
   u00047 : constant Version_32 := 16#5ab55268#;
   pragma Export (C, u00047, "interfacesS");
   u00048 : constant Version_32 := 16#ece6fdb6#;
   pragma Export (C, u00048, "system__wch_jisB");
   u00049 : constant Version_32 := 16#e35cda42#;
   pragma Export (C, u00049, "system__wch_jisS");
   u00050 : constant Version_32 := 16#86dbf443#;
   pragma Export (C, u00050, "system__parametersB");
   u00051 : constant Version_32 := 16#3f0a0f69#;
   pragma Export (C, u00051, "system__parametersS");
   u00052 : constant Version_32 := 16#75bf515c#;
   pragma Export (C, u00052, "system__soft_links__initializeB");
   u00053 : constant Version_32 := 16#5697fc2b#;
   pragma Export (C, u00053, "system__soft_links__initializeS");
   u00054 : constant Version_32 := 16#41837d1e#;
   pragma Export (C, u00054, "system__stack_checkingB");
   u00055 : constant Version_32 := 16#f95930aa#;
   pragma Export (C, u00055, "system__stack_checkingS");
   u00056 : constant Version_32 := 16#96df1a3f#;
   pragma Export (C, u00056, "ada__strings__mapsB");
   u00057 : constant Version_32 := 16#1e526bec#;
   pragma Export (C, u00057, "ada__strings__mapsS");
   u00058 : constant Version_32 := 16#e75c0fb7#;
   pragma Export (C, u00058, "system__bit_opsB");
   u00059 : constant Version_32 := 16#0765e3a3#;
   pragma Export (C, u00059, "system__bit_opsS");
   u00060 : constant Version_32 := 16#436027c1#;
   pragma Export (C, u00060, "system__unsigned_typesS");
   u00061 : constant Version_32 := 16#92f05f13#;
   pragma Export (C, u00061, "ada__strings__maps__constantsS");
   u00062 : constant Version_32 := 16#7e1a0b30#;
   pragma Export (C, u00062, "ada__command_lineB");
   u00063 : constant Version_32 := 16#3cdef8c9#;
   pragma Export (C, u00063, "ada__command_lineS");
   u00064 : constant Version_32 := 16#179d7d28#;
   pragma Export (C, u00064, "ada__containersS");
   u00065 : constant Version_32 := 16#bcec81df#;
   pragma Export (C, u00065, "ada__containers__helpersB");
   u00066 : constant Version_32 := 16#4adfc5eb#;
   pragma Export (C, u00066, "ada__containers__helpersS");
   u00067 : constant Version_32 := 16#86c56e5a#;
   pragma Export (C, u00067, "ada__finalizationS");
   u00068 : constant Version_32 := 16#10558b11#;
   pragma Export (C, u00068, "ada__streamsB");
   u00069 : constant Version_32 := 16#67e31212#;
   pragma Export (C, u00069, "ada__streamsS");
   u00070 : constant Version_32 := 16#92d882c5#;
   pragma Export (C, u00070, "ada__io_exceptionsS");
   u00071 : constant Version_32 := 16#d398a95f#;
   pragma Export (C, u00071, "ada__tagsB");
   u00072 : constant Version_32 := 16#12a0afb8#;
   pragma Export (C, u00072, "ada__tagsS");
   u00073 : constant Version_32 := 16#796f31f1#;
   pragma Export (C, u00073, "system__htableB");
   u00074 : constant Version_32 := 16#f324e8a8#;
   pragma Export (C, u00074, "system__htableS");
   u00075 : constant Version_32 := 16#089f5cd0#;
   pragma Export (C, u00075, "system__string_hashB");
   u00076 : constant Version_32 := 16#517a83d6#;
   pragma Export (C, u00076, "system__string_hashS");
   u00077 : constant Version_32 := 16#afdbf393#;
   pragma Export (C, u00077, "system__val_lluB");
   u00078 : constant Version_32 := 16#399270b3#;
   pragma Export (C, u00078, "system__val_lluS");
   u00079 : constant Version_32 := 16#269742a9#;
   pragma Export (C, u00079, "system__val_utilB");
   u00080 : constant Version_32 := 16#db46edbc#;
   pragma Export (C, u00080, "system__val_utilS");
   u00081 : constant Version_32 := 16#ec4d5631#;
   pragma Export (C, u00081, "system__case_utilB");
   u00082 : constant Version_32 := 16#4833ed16#;
   pragma Export (C, u00082, "system__case_utilS");
   u00083 : constant Version_32 := 16#95817ed8#;
   pragma Export (C, u00083, "system__finalization_rootB");
   u00084 : constant Version_32 := 16#381428d2#;
   pragma Export (C, u00084, "system__finalization_rootS");
   u00085 : constant Version_32 := 16#020a3f4d#;
   pragma Export (C, u00085, "system__atomic_countersB");
   u00086 : constant Version_32 := 16#c3ba76cf#;
   pragma Export (C, u00086, "system__atomic_countersS");
   u00087 : constant Version_32 := 16#8225628b#;
   pragma Export (C, u00087, "ada__containers__red_black_treesS");
   u00088 : constant Version_32 := 16#f59383b8#;
   pragma Export (C, u00088, "ada__directoriesB");
   u00089 : constant Version_32 := 16#18050e83#;
   pragma Export (C, u00089, "ada__directoriesS");
   u00090 : constant Version_32 := 16#09919858#;
   pragma Export (C, u00090, "ada__calendarB");
   u00091 : constant Version_32 := 16#c4f07049#;
   pragma Export (C, u00091, "ada__calendarS");
   u00092 : constant Version_32 := 16#769e25e6#;
   pragma Export (C, u00092, "interfaces__cB");
   u00093 : constant Version_32 := 16#467817d8#;
   pragma Export (C, u00093, "interfaces__cS");
   u00094 : constant Version_32 := 16#51f2d040#;
   pragma Export (C, u00094, "system__os_primitivesB");
   u00095 : constant Version_32 := 16#701b3eb4#;
   pragma Export (C, u00095, "system__os_primitivesS");
   u00096 : constant Version_32 := 16#10f667b3#;
   pragma Export (C, u00096, "ada__calendar__formattingB");
   u00097 : constant Version_32 := 16#f87a094f#;
   pragma Export (C, u00097, "ada__calendar__formattingS");
   u00098 : constant Version_32 := 16#e3cca715#;
   pragma Export (C, u00098, "ada__calendar__time_zonesB");
   u00099 : constant Version_32 := 16#f21593b3#;
   pragma Export (C, u00099, "ada__calendar__time_zonesS");
   u00100 : constant Version_32 := 16#d763507a#;
   pragma Export (C, u00100, "system__val_intB");
   u00101 : constant Version_32 := 16#3f43717d#;
   pragma Export (C, u00101, "system__val_intS");
   u00102 : constant Version_32 := 16#1d9142a4#;
   pragma Export (C, u00102, "system__val_unsB");
   u00103 : constant Version_32 := 16#53c8cafa#;
   pragma Export (C, u00103, "system__val_unsS");
   u00104 : constant Version_32 := 16#c2ca0511#;
   pragma Export (C, u00104, "system__val_realB");
   u00105 : constant Version_32 := 16#89cf2c53#;
   pragma Export (C, u00105, "system__val_realS");
   u00106 : constant Version_32 := 16#b2a569d2#;
   pragma Export (C, u00106, "system__exn_llfB");
   u00107 : constant Version_32 := 16#cb98e09e#;
   pragma Export (C, u00107, "system__exn_llfS");
   u00108 : constant Version_32 := 16#7371e0b1#;
   pragma Export (C, u00108, "system__fat_llfS");
   u00109 : constant Version_32 := 16#1b28662b#;
   pragma Export (C, u00109, "system__float_controlB");
   u00110 : constant Version_32 := 16#971a187e#;
   pragma Export (C, u00110, "system__float_controlS");
   u00111 : constant Version_32 := 16#27963d35#;
   pragma Export (C, u00111, "system__powten_tableS");
   u00112 : constant Version_32 := 16#ab4ad33a#;
   pragma Export (C, u00112, "ada__directories__validityB");
   u00113 : constant Version_32 := 16#498b13d5#;
   pragma Export (C, u00113, "ada__directories__validityS");
   u00114 : constant Version_32 := 16#adb6d201#;
   pragma Export (C, u00114, "ada__strings__fixedB");
   u00115 : constant Version_32 := 16#a86b22b3#;
   pragma Export (C, u00115, "ada__strings__fixedS");
   u00116 : constant Version_32 := 16#5109bed4#;
   pragma Export (C, u00116, "ada__strings__searchB");
   u00117 : constant Version_32 := 16#c1ab8667#;
   pragma Export (C, u00117, "ada__strings__searchS");
   u00118 : constant Version_32 := 16#a3db8081#;
   pragma Export (C, u00118, "ada__strings__unboundedB");
   u00119 : constant Version_32 := 16#f39c7224#;
   pragma Export (C, u00119, "ada__strings__unboundedS");
   u00120 : constant Version_32 := 16#acee74ad#;
   pragma Export (C, u00120, "system__compare_array_unsigned_8B");
   u00121 : constant Version_32 := 16#dee52acf#;
   pragma Export (C, u00121, "system__compare_array_unsigned_8S");
   u00122 : constant Version_32 := 16#a8025f3c#;
   pragma Export (C, u00122, "system__address_operationsB");
   u00123 : constant Version_32 := 16#64eae571#;
   pragma Export (C, u00123, "system__address_operationsS");
   u00124 : constant Version_32 := 16#2e260032#;
   pragma Export (C, u00124, "system__storage_pools__subpoolsB");
   u00125 : constant Version_32 := 16#cc5a1856#;
   pragma Export (C, u00125, "system__storage_pools__subpoolsS");
   u00126 : constant Version_32 := 16#d96e3c40#;
   pragma Export (C, u00126, "system__finalization_mastersB");
   u00127 : constant Version_32 := 16#2c1a6288#;
   pragma Export (C, u00127, "system__finalization_mastersS");
   u00128 : constant Version_32 := 16#7268f812#;
   pragma Export (C, u00128, "system__img_boolB");
   u00129 : constant Version_32 := 16#823f2aa9#;
   pragma Export (C, u00129, "system__img_boolS");
   u00130 : constant Version_32 := 16#d7aac20c#;
   pragma Export (C, u00130, "system__ioB");
   u00131 : constant Version_32 := 16#e9a4ac0d#;
   pragma Export (C, u00131, "system__ioS");
   u00132 : constant Version_32 := 16#6d4d969a#;
   pragma Export (C, u00132, "system__storage_poolsB");
   u00133 : constant Version_32 := 16#540bc5ef#;
   pragma Export (C, u00133, "system__storage_poolsS");
   u00134 : constant Version_32 := 16#84042202#;
   pragma Export (C, u00134, "system__storage_pools__subpools__finalizationB");
   u00135 : constant Version_32 := 16#fe2f4b3a#;
   pragma Export (C, u00135, "system__storage_pools__subpools__finalizationS");
   u00136 : constant Version_32 := 16#039168f8#;
   pragma Export (C, u00136, "system__stream_attributesB");
   u00137 : constant Version_32 := 16#8bc30a4e#;
   pragma Export (C, u00137, "system__stream_attributesS");
   u00138 : constant Version_32 := 16#31b1d418#;
   pragma Export (C, u00138, "system__crtlS");
   u00139 : constant Version_32 := 16#b94eb23e#;
   pragma Export (C, u00139, "system__file_attributesS");
   u00140 : constant Version_32 := 16#c2c00b35#;
   pragma Export (C, u00140, "system__os_constantsS");
   u00141 : constant Version_32 := 16#ec083f01#;
   pragma Export (C, u00141, "system__file_ioB");
   u00142 : constant Version_32 := 16#d097ba27#;
   pragma Export (C, u00142, "system__file_ioS");
   u00143 : constant Version_32 := 16#73d2d764#;
   pragma Export (C, u00143, "interfaces__c_streamsB");
   u00144 : constant Version_32 := 16#b1330297#;
   pragma Export (C, u00144, "interfaces__c_streamsS");
   u00145 : constant Version_32 := 16#24f37cd7#;
   pragma Export (C, u00145, "system__os_libB");
   u00146 : constant Version_32 := 16#d8e681fb#;
   pragma Export (C, u00146, "system__os_libS");
   u00147 : constant Version_32 := 16#2a8e89ad#;
   pragma Export (C, u00147, "system__stringsB");
   u00148 : constant Version_32 := 16#17f077d7#;
   pragma Export (C, u00148, "system__stringsS");
   u00149 : constant Version_32 := 16#8a79c1ea#;
   pragma Export (C, u00149, "system__file_control_blockS");
   u00150 : constant Version_32 := 16#95f86c43#;
   pragma Export (C, u00150, "system__regexpB");
   u00151 : constant Version_32 := 16#54d4fc8e#;
   pragma Export (C, u00151, "system__regexpS");
   u00152 : constant Version_32 := 16#a4b79365#;
   pragma Export (C, u00152, "ada__streams__stream_ioB");
   u00153 : constant Version_32 := 16#55e6e4b0#;
   pragma Export (C, u00153, "ada__streams__stream_ioS");
   u00154 : constant Version_32 := 16#5de653db#;
   pragma Export (C, u00154, "system__communicationB");
   u00155 : constant Version_32 := 16#6e860e90#;
   pragma Export (C, u00155, "system__communicationS");
   u00156 : constant Version_32 := 16#927a893f#;
   pragma Export (C, u00156, "ada__text_ioB");
   u00157 : constant Version_32 := 16#60478258#;
   pragma Export (C, u00157, "ada__text_ioS");
   u00158 : constant Version_32 := 16#b5988c27#;
   pragma Export (C, u00158, "gnatS");
   u00159 : constant Version_32 := 16#b8c1d9f8#;
   pragma Export (C, u00159, "gnat__command_lineB");
   u00160 : constant Version_32 := 16#d602660e#;
   pragma Export (C, u00160, "gnat__command_lineS");
   u00161 : constant Version_32 := 16#f458e685#;
   pragma Export (C, u00161, "gnat__directory_operationsB");
   u00162 : constant Version_32 := 16#bec9e217#;
   pragma Export (C, u00162, "gnat__directory_operationsS");
   u00163 : constant Version_32 := 16#ef2c0748#;
   pragma Export (C, u00163, "gnat__os_libS");
   u00164 : constant Version_32 := 16#5a895de2#;
   pragma Export (C, u00164, "system__pool_globalB");
   u00165 : constant Version_32 := 16#7141203e#;
   pragma Export (C, u00165, "system__pool_globalS");
   u00166 : constant Version_32 := 16#2323a8af#;
   pragma Export (C, u00166, "system__memoryB");
   u00167 : constant Version_32 := 16#2e9b3d76#;
   pragma Export (C, u00167, "system__memoryS");
   u00168 : constant Version_32 := 16#40fe4806#;
   pragma Export (C, u00168, "gnat__regexpS");
   u00169 : constant Version_32 := 16#fcd606d0#;
   pragma Export (C, u00169, "gnat__stringsS");
   u00170 : constant Version_32 := 16#f951cc12#;
   pragma Export (C, u00170, "system__strings__stream_opsB");
   u00171 : constant Version_32 := 16#ec029138#;
   pragma Export (C, u00171, "system__strings__stream_opsS");
   u00172 : constant Version_32 := 16#affc6fff#;
   pragma Export (C, u00172, "templates_parserB");
   u00173 : constant Version_32 := 16#0a5d417e#;
   pragma Export (C, u00173, "templates_parserS");
   u00174 : constant Version_32 := 16#c164a034#;
   pragma Export (C, u00174, "ada__containers__hash_tablesS");
   u00175 : constant Version_32 := 16#c24eaf4d#;
   pragma Export (C, u00175, "ada__containers__prime_numbersB");
   u00176 : constant Version_32 := 16#6d3af8ed#;
   pragma Export (C, u00176, "ada__containers__prime_numbersS");
   u00177 : constant Version_32 := 16#75de1dee#;
   pragma Export (C, u00177, "ada__strings__hashB");
   u00178 : constant Version_32 := 16#3655ad4c#;
   pragma Export (C, u00178, "ada__strings__hashS");
   u00179 : constant Version_32 := 16#eee9c0c6#;
   pragma Export (C, u00179, "ada__strings__hash_case_insensitiveB");
   u00180 : constant Version_32 := 16#f9e6d5c1#;
   pragma Export (C, u00180, "ada__strings__hash_case_insensitiveS");
   u00181 : constant Version_32 := 16#d04c2aec#;
   pragma Export (C, u00181, "gnat__calendarB");
   u00182 : constant Version_32 := 16#210e68e7#;
   pragma Export (C, u00182, "gnat__calendarS");
   u00183 : constant Version_32 := 16#1b10abcf#;
   pragma Export (C, u00183, "interfaces__c__extensionsS");
   u00184 : constant Version_32 := 16#ffbef51c#;
   pragma Export (C, u00184, "gnat__calendar__time_ioB");
   u00185 : constant Version_32 := 16#727c9c73#;
   pragma Export (C, u00185, "gnat__calendar__time_ioS");
   u00186 : constant Version_32 := 16#d37ed4a2#;
   pragma Export (C, u00186, "gnat__case_utilB");
   u00187 : constant Version_32 := 16#857fd105#;
   pragma Export (C, u00187, "gnat__case_utilS");
   u00188 : constant Version_32 := 16#9dca6636#;
   pragma Export (C, u00188, "system__img_lliB");
   u00189 : constant Version_32 := 16#66a90e93#;
   pragma Export (C, u00189, "system__img_lliS");
   u00190 : constant Version_32 := 16#3e932977#;
   pragma Export (C, u00190, "system__img_lluB");
   u00191 : constant Version_32 := 16#0aa92702#;
   pragma Export (C, u00191, "system__img_lluS");
   u00192 : constant Version_32 := 16#8f9f9fb7#;
   pragma Export (C, u00192, "gnat__regpatS");
   u00193 : constant Version_32 := 16#863444e5#;
   pragma Export (C, u00193, "system__regpatB");
   u00194 : constant Version_32 := 16#f5bcc03d#;
   pragma Export (C, u00194, "system__regpatS");
   u00195 : constant Version_32 := 16#2b93a046#;
   pragma Export (C, u00195, "system__img_charB");
   u00196 : constant Version_32 := 16#ebd203a5#;
   pragma Export (C, u00196, "system__img_charS");
   u00197 : constant Version_32 := 16#7970d26c#;
   pragma Export (C, u00197, "templates_parser__configurationS");
   u00198 : constant Version_32 := 16#96b7b488#;
   pragma Export (C, u00198, "templates_parser__inputB");
   u00199 : constant Version_32 := 16#08e39ca1#;
   pragma Export (C, u00199, "templates_parser__inputS");
   u00200 : constant Version_32 := 16#778a56d9#;
   pragma Export (C, u00200, "templates_parser__utilsB");
   u00201 : constant Version_32 := 16#0dfdb513#;
   pragma Export (C, u00201, "templates_parser__utilsS");
   u00202 : constant Version_32 := 16#71641cad#;
   pragma Export (C, u00202, "ada__environment_variablesB");
   u00203 : constant Version_32 := 16#767099b7#;
   pragma Export (C, u00203, "ada__environment_variablesS");
   u00204 : constant Version_32 := 16#5825592d#;
   pragma Export (C, u00204, "interfaces__c__stringsB");
   u00205 : constant Version_32 := 16#603c1c44#;
   pragma Export (C, u00205, "interfaces__c__stringsS");
   u00206 : constant Version_32 := 16#edb697a2#;
   pragma Export (C, u00206, "templates_parser_taskingB");
   u00207 : constant Version_32 := 16#4c0209f0#;
   pragma Export (C, u00207, "templates_parser_taskingS");
   u00208 : constant Version_32 := 16#72af967f#;
   pragma Export (C, u00208, "ada__task_identificationB");
   u00209 : constant Version_32 := 16#7ba819a9#;
   pragma Export (C, u00209, "ada__task_identificationS");
   u00210 : constant Version_32 := 16#f2e06309#;
   pragma Export (C, u00210, "system__task_primitivesS");
   u00211 : constant Version_32 := 16#02d5b781#;
   pragma Export (C, u00211, "system__os_interfaceB");
   u00212 : constant Version_32 := 16#505c5e72#;
   pragma Export (C, u00212, "system__os_interfaceS");
   u00213 : constant Version_32 := 16#ceccc037#;
   pragma Export (C, u00213, "system__linuxS");
   u00214 : constant Version_32 := 16#441a9762#;
   pragma Export (C, u00214, "system__task_primitives__operationsB");
   u00215 : constant Version_32 := 16#69ee9f34#;
   pragma Export (C, u00215, "system__task_primitives__operationsS");
   u00216 : constant Version_32 := 16#71c5de81#;
   pragma Export (C, u00216, "system__interrupt_managementB");
   u00217 : constant Version_32 := 16#1571ac19#;
   pragma Export (C, u00217, "system__interrupt_managementS");
   u00218 : constant Version_32 := 16#f65595cf#;
   pragma Export (C, u00218, "system__multiprocessorsB");
   u00219 : constant Version_32 := 16#4f4ac431#;
   pragma Export (C, u00219, "system__multiprocessorsS");
   u00220 : constant Version_32 := 16#375a3ef7#;
   pragma Export (C, u00220, "system__task_infoB");
   u00221 : constant Version_32 := 16#2dd521d6#;
   pragma Export (C, u00221, "system__task_infoS");
   u00222 : constant Version_32 := 16#c2216981#;
   pragma Export (C, u00222, "system__taskingB");
   u00223 : constant Version_32 := 16#e08c750a#;
   pragma Export (C, u00223, "system__taskingS");
   u00224 : constant Version_32 := 16#6ec3c867#;
   pragma Export (C, u00224, "system__stack_usageB");
   u00225 : constant Version_32 := 16#3a3ac346#;
   pragma Export (C, u00225, "system__stack_usageS");
   u00226 : constant Version_32 := 16#f0965c7b#;
   pragma Export (C, u00226, "system__tasking__debugB");
   u00227 : constant Version_32 := 16#aea59d30#;
   pragma Export (C, u00227, "system__tasking__debugS");
   u00228 : constant Version_32 := 16#fd83e873#;
   pragma Export (C, u00228, "system__concat_2B");
   u00229 : constant Version_32 := 16#75468c92#;
   pragma Export (C, u00229, "system__concat_2S");
   u00230 : constant Version_32 := 16#2b70b149#;
   pragma Export (C, u00230, "system__concat_3B");
   u00231 : constant Version_32 := 16#7c9607e7#;
   pragma Export (C, u00231, "system__concat_3S");
   u00232 : constant Version_32 := 16#273384e4#;
   pragma Export (C, u00232, "system__img_enum_newB");
   u00233 : constant Version_32 := 16#16aa5d82#;
   pragma Export (C, u00233, "system__img_enum_newS");
   u00234 : constant Version_32 := 16#eb894f1f#;
   pragma Export (C, u00234, "system__tasking__utilitiesB");
   u00235 : constant Version_32 := 16#0f670827#;
   pragma Export (C, u00235, "system__tasking__utilitiesS");
   u00236 : constant Version_32 := 16#eabc049e#;
   pragma Export (C, u00236, "system__tasking__initializationB");
   u00237 : constant Version_32 := 16#fc2303e6#;
   pragma Export (C, u00237, "system__tasking__initializationS");
   u00238 : constant Version_32 := 16#dbe1fad1#;
   pragma Export (C, u00238, "system__soft_links__taskingB");
   u00239 : constant Version_32 := 16#e939497e#;
   pragma Export (C, u00239, "system__soft_links__taskingS");
   u00240 : constant Version_32 := 16#17d21067#;
   pragma Export (C, u00240, "ada__exceptions__is_null_occurrenceB");
   u00241 : constant Version_32 := 16#e1d7566f#;
   pragma Export (C, u00241, "ada__exceptions__is_null_occurrenceS");
   u00242 : constant Version_32 := 16#82b34903#;
   pragma Export (C, u00242, "system__tasking__task_attributesB");
   u00243 : constant Version_32 := 16#e81a3c25#;
   pragma Export (C, u00243, "system__tasking__task_attributesS");
   u00244 : constant Version_32 := 16#cee82bbd#;
   pragma Export (C, u00244, "system__tasking__queuingB");
   u00245 : constant Version_32 := 16#6dba2805#;
   pragma Export (C, u00245, "system__tasking__queuingS");
   u00246 : constant Version_32 := 16#7f6ff536#;
   pragma Export (C, u00246, "system__tasking__protected_objectsB");
   u00247 : constant Version_32 := 16#15001baf#;
   pragma Export (C, u00247, "system__tasking__protected_objectsS");
   u00248 : constant Version_32 := 16#726dd94b#;
   pragma Export (C, u00248, "system__tasking__protected_objects__entriesB");
   u00249 : constant Version_32 := 16#7daf93e7#;
   pragma Export (C, u00249, "system__tasking__protected_objects__entriesS");
   u00250 : constant Version_32 := 16#100eaf58#;
   pragma Export (C, u00250, "system__restrictionsB");
   u00251 : constant Version_32 := 16#3c948213#;
   pragma Export (C, u00251, "system__restrictionsS");
   u00252 : constant Version_32 := 16#83c8fb63#;
   pragma Export (C, u00252, "system__tasking__protected_objects__operationsB");
   u00253 : constant Version_32 := 16#ba36ad85#;
   pragma Export (C, u00253, "system__tasking__protected_objects__operationsS");
   u00254 : constant Version_32 := 16#69bd1289#;
   pragma Export (C, u00254, "system__tasking__entry_callsB");
   u00255 : constant Version_32 := 16#6342024e#;
   pragma Export (C, u00255, "system__tasking__entry_callsS");
   u00256 : constant Version_32 := 16#9322406a#;
   pragma Export (C, u00256, "system__tasking__rendezvousB");
   u00257 : constant Version_32 := 16#5618a4d0#;
   pragma Export (C, u00257, "system__tasking__rendezvousS");

   --  BEGIN ELABORATION ORDER
   --  ada%s
   --  ada.characters%s
   --  ada.characters.latin_1%s
   --  interfaces%s
   --  system%s
   --  system.address_operations%s
   --  system.address_operations%b
   --  system.atomic_counters%s
   --  system.atomic_counters%b
   --  system.exn_llf%s
   --  system.exn_llf%b
   --  system.float_control%s
   --  system.float_control%b
   --  system.img_bool%s
   --  system.img_bool%b
   --  system.img_char%s
   --  system.img_char%b
   --  system.img_enum_new%s
   --  system.img_enum_new%b
   --  system.img_int%s
   --  system.img_int%b
   --  system.img_lli%s
   --  system.img_lli%b
   --  system.io%s
   --  system.io%b
   --  system.os_primitives%s
   --  system.os_primitives%b
   --  system.parameters%s
   --  system.parameters%b
   --  system.crtl%s
   --  interfaces.c_streams%s
   --  interfaces.c_streams%b
   --  system.powten_table%s
   --  system.restrictions%s
   --  system.restrictions%b
   --  system.storage_elements%s
   --  system.storage_elements%b
   --  system.stack_checking%s
   --  system.stack_checking%b
   --  system.stack_usage%s
   --  system.stack_usage%b
   --  system.string_hash%s
   --  system.string_hash%b
   --  system.htable%s
   --  system.htable%b
   --  system.strings%s
   --  system.strings%b
   --  system.traceback_entries%s
   --  system.traceback_entries%b
   --  system.unsigned_types%s
   --  system.img_llu%s
   --  system.img_llu%b
   --  system.wch_con%s
   --  system.wch_con%b
   --  system.wch_jis%s
   --  system.wch_jis%b
   --  system.wch_cnv%s
   --  system.wch_cnv%b
   --  system.compare_array_unsigned_8%s
   --  system.compare_array_unsigned_8%b
   --  system.concat_2%s
   --  system.concat_2%b
   --  system.concat_3%s
   --  system.concat_3%b
   --  system.traceback%s
   --  system.traceback%b
   --  system.wch_stw%s
   --  system.standard_library%s
   --  system.exceptions_debug%s
   --  system.exceptions_debug%b
   --  ada.exceptions%s
   --  system.wch_stw%b
   --  ada.exceptions.traceback%s
   --  ada.exceptions.last_chance_handler%s
   --  system.secondary_stack%s
   --  system.soft_links%s
   --  system.exception_table%s
   --  system.exception_table%b
   --  system.exceptions%s
   --  system.exceptions%b
   --  system.address_image%s
   --  system.memory%s
   --  system.memory%b
   --  ada.exceptions.traceback%b
   --  system.traceback.symbolic%s
   --  system.traceback.symbolic%b
   --  system.exceptions.machine%s
   --  system.exceptions.machine%b
   --  ada.exceptions.last_chance_handler%b
   --  system.secondary_stack%b
   --  system.soft_links.initialize%s
   --  system.soft_links.initialize%b
   --  system.soft_links%b
   --  system.address_image%b
   --  system.standard_library%b
   --  ada.exceptions%b
   --  ada.command_line%s
   --  ada.command_line%b
   --  ada.containers%s
   --  ada.containers.prime_numbers%s
   --  ada.containers.prime_numbers%b
   --  ada.exceptions.is_null_occurrence%s
   --  ada.exceptions.is_null_occurrence%b
   --  ada.io_exceptions%s
   --  ada.strings%s
   --  ada.strings.hash%s
   --  ada.strings.hash%b
   --  gnat%s
   --  gnat.strings%s
   --  interfaces.c%s
   --  interfaces.c%b
   --  interfaces.c.extensions%s
   --  interfaces.c.strings%s
   --  interfaces.c.strings%b
   --  ada.environment_variables%s
   --  ada.environment_variables%b
   --  system.case_util%s
   --  system.case_util%b
   --  gnat.case_util%s
   --  gnat.case_util%b
   --  system.fat_llf%s
   --  system.linux%s
   --  system.multiprocessors%s
   --  system.multiprocessors%b
   --  system.os_constants%s
   --  system.os_interface%s
   --  system.os_interface%b
   --  system.os_lib%s
   --  system.os_lib%b
   --  gnat.os_lib%s
   --  system.task_info%s
   --  system.task_info%b
   --  system.task_primitives%s
   --  system.interrupt_management%s
   --  system.interrupt_management%b
   --  system.val_util%s
   --  system.val_util%b
   --  system.val_llu%s
   --  system.val_llu%b
   --  ada.tags%s
   --  ada.tags%b
   --  ada.streams%s
   --  ada.streams%b
   --  system.communication%s
   --  system.communication%b
   --  system.file_control_block%s
   --  system.finalization_root%s
   --  system.finalization_root%b
   --  ada.finalization%s
   --  ada.containers.helpers%s
   --  ada.containers.helpers%b
   --  ada.containers.hash_tables%s
   --  ada.containers.red_black_trees%s
   --  system.file_io%s
   --  system.file_io%b
   --  ada.streams.stream_io%s
   --  ada.streams.stream_io%b
   --  system.storage_pools%s
   --  system.storage_pools%b
   --  system.finalization_masters%s
   --  system.finalization_masters%b
   --  system.storage_pools.subpools%s
   --  system.storage_pools.subpools.finalization%s
   --  system.storage_pools.subpools%b
   --  system.storage_pools.subpools.finalization%b
   --  system.stream_attributes%s
   --  system.stream_attributes%b
   --  system.val_real%s
   --  system.val_real%b
   --  system.val_uns%s
   --  system.val_uns%b
   --  system.val_int%s
   --  system.val_int%b
   --  ada.calendar%s
   --  ada.calendar%b
   --  ada.calendar.time_zones%s
   --  ada.calendar.time_zones%b
   --  ada.calendar.formatting%s
   --  ada.calendar.formatting%b
   --  ada.text_io%s
   --  ada.text_io%b
   --  gnat.calendar%s
   --  gnat.calendar%b
   --  system.bit_ops%s
   --  system.bit_ops%b
   --  ada.strings.maps%s
   --  ada.strings.maps%b
   --  ada.strings.maps.constants%s
   --  ada.characters.handling%s
   --  ada.characters.handling%b
   --  ada.strings.hash_case_insensitive%s
   --  ada.strings.hash_case_insensitive%b
   --  ada.strings.search%s
   --  ada.strings.search%b
   --  ada.strings.fixed%s
   --  ada.strings.fixed%b
   --  ada.strings.unbounded%s
   --  ada.strings.unbounded%b
   --  system.regpat%s
   --  system.regpat%b
   --  gnat.regpat%s
   --  system.tasking%s
   --  system.tasking.debug%s
   --  system.task_primitives.operations%s
   --  system.tasking%b
   --  system.tasking.debug%b
   --  system.task_primitives.operations%b
   --  gnat.calendar.time_io%s
   --  gnat.calendar.time_io%b
   --  gnat.directory_operations%s
   --  gnat.directory_operations%b
   --  system.file_attributes%s
   --  system.pool_global%s
   --  system.pool_global%b
   --  system.regexp%s
   --  system.regexp%b
   --  ada.directories%s
   --  ada.directories.validity%s
   --  ada.directories.validity%b
   --  ada.directories%b
   --  gnat.regexp%s
   --  gnat.command_line%s
   --  gnat.command_line%b
   --  system.soft_links.tasking%s
   --  system.soft_links.tasking%b
   --  system.strings.stream_ops%s
   --  system.strings.stream_ops%b
   --  system.tasking.initialization%s
   --  system.tasking.task_attributes%s
   --  system.tasking.task_attributes%b
   --  system.tasking.initialization%b
   --  system.tasking.protected_objects%s
   --  system.tasking.protected_objects%b
   --  system.tasking.protected_objects.entries%s
   --  system.tasking.protected_objects.entries%b
   --  system.tasking.queuing%s
   --  system.tasking.queuing%b
   --  system.tasking.utilities%s
   --  system.tasking.utilities%b
   --  ada.task_identification%s
   --  ada.task_identification%b
   --  system.tasking.entry_calls%s
   --  system.tasking.rendezvous%s
   --  system.tasking.protected_objects.operations%s
   --  system.tasking.protected_objects.operations%b
   --  system.tasking.entry_calls%b
   --  system.tasking.rendezvous%b
   --  templates_parser_tasking%s
   --  templates_parser_tasking%b
   --  templates_parser%s
   --  templates_parser.utils%s
   --  templates_parser.utils%b
   --  templates_parser.input%s
   --  templates_parser.input%b
   --  templates_parser.configuration%s
   --  templates_parser%b
   --  templates2ada%b
   --  END ELABORATION ORDER

end ada_main;
