pragma Warnings (Off);
pragma Ada_95;
pragma Source_File_Name (ada_main, Spec_File_Name => "b__templates2ada.ads");
pragma Source_File_Name (ada_main, Body_File_Name => "b__templates2ada.adb");
pragma Suppress (Overflow_Check);

with System.Restrictions;
with Ada.Exceptions;

package body ada_main is

   E014 : Short_Integer; pragma Import (Ada, E014, "system__soft_links_E");
   E012 : Short_Integer; pragma Import (Ada, E012, "system__exception_table_E");
   E022 : Short_Integer; pragma Import (Ada, E022, "system__exceptions_E");
   E053 : Short_Integer; pragma Import (Ada, E053, "system__soft_links__initialize_E");
   E064 : Short_Integer; pragma Import (Ada, E064, "ada__containers_E");
   E070 : Short_Integer; pragma Import (Ada, E070, "ada__io_exceptions_E");
   E009 : Short_Integer; pragma Import (Ada, E009, "ada__strings_E");
   E158 : Short_Integer; pragma Import (Ada, E158, "gnat_E");
   E093 : Short_Integer; pragma Import (Ada, E093, "interfaces__c_E");
   E205 : Short_Integer; pragma Import (Ada, E205, "interfaces__c__strings_E");
   E146 : Short_Integer; pragma Import (Ada, E146, "system__os_lib_E");
   E221 : Short_Integer; pragma Import (Ada, E221, "system__task_info_E");
   E072 : Short_Integer; pragma Import (Ada, E072, "ada__tags_E");
   E069 : Short_Integer; pragma Import (Ada, E069, "ada__streams_E");
   E149 : Short_Integer; pragma Import (Ada, E149, "system__file_control_block_E");
   E084 : Short_Integer; pragma Import (Ada, E084, "system__finalization_root_E");
   E067 : Short_Integer; pragma Import (Ada, E067, "ada__finalization_E");
   E142 : Short_Integer; pragma Import (Ada, E142, "system__file_io_E");
   E153 : Short_Integer; pragma Import (Ada, E153, "ada__streams__stream_io_E");
   E133 : Short_Integer; pragma Import (Ada, E133, "system__storage_pools_E");
   E127 : Short_Integer; pragma Import (Ada, E127, "system__finalization_masters_E");
   E125 : Short_Integer; pragma Import (Ada, E125, "system__storage_pools__subpools_E");
   E091 : Short_Integer; pragma Import (Ada, E091, "ada__calendar_E");
   E099 : Short_Integer; pragma Import (Ada, E099, "ada__calendar__time_zones_E");
   E157 : Short_Integer; pragma Import (Ada, E157, "ada__text_io_E");
   E182 : Short_Integer; pragma Import (Ada, E182, "gnat__calendar_E");
   E057 : Short_Integer; pragma Import (Ada, E057, "ada__strings__maps_E");
   E061 : Short_Integer; pragma Import (Ada, E061, "ada__strings__maps__constants_E");
   E119 : Short_Integer; pragma Import (Ada, E119, "ada__strings__unbounded_E");
   E194 : Short_Integer; pragma Import (Ada, E194, "system__regpat_E");
   E215 : Short_Integer; pragma Import (Ada, E215, "system__task_primitives__operations_E");
   E185 : Short_Integer; pragma Import (Ada, E185, "gnat__calendar__time_io_E");
   E162 : Short_Integer; pragma Import (Ada, E162, "gnat__directory_operations_E");
   E165 : Short_Integer; pragma Import (Ada, E165, "system__pool_global_E");
   E151 : Short_Integer; pragma Import (Ada, E151, "system__regexp_E");
   E089 : Short_Integer; pragma Import (Ada, E089, "ada__directories_E");
   E160 : Short_Integer; pragma Import (Ada, E160, "gnat__command_line_E");
   E237 : Short_Integer; pragma Import (Ada, E237, "system__tasking__initialization_E");
   E247 : Short_Integer; pragma Import (Ada, E247, "system__tasking__protected_objects_E");
   E249 : Short_Integer; pragma Import (Ada, E249, "system__tasking__protected_objects__entries_E");
   E245 : Short_Integer; pragma Import (Ada, E245, "system__tasking__queuing_E");
   E207 : Short_Integer; pragma Import (Ada, E207, "templates_parser_tasking_E");
   E173 : Short_Integer; pragma Import (Ada, E173, "templates_parser_E");
   E201 : Short_Integer; pragma Import (Ada, E201, "templates_parser__utils_E");
   E199 : Short_Integer; pragma Import (Ada, E199, "templates_parser__input_E");

   Sec_Default_Sized_Stacks : array (1 .. 1) of aliased System.Secondary_Stack.SS_Stack (System.Parameters.Runtime_Default_Sec_Stack_Size);

   Local_Priority_Specific_Dispatching : constant String := "";
   Local_Interrupt_States : constant String := "";

   Is_Elaborated : Boolean := False;

   procedure finalize_library is
   begin
      declare
         procedure F1;
         pragma Import (Ada, F1, "templates_parser__finalize_body");
      begin
         E173 := E173 - 1;
         F1;
      end;
      declare
         procedure F2;
         pragma Import (Ada, F2, "templates_parser__finalize_spec");
      begin
         F2;
      end;
      declare
         procedure F3;
         pragma Import (Ada, F3, "templates_parser_tasking__finalize_body");
      begin
         E207 := E207 - 1;
         F3;
      end;
      E249 := E249 - 1;
      declare
         procedure F4;
         pragma Import (Ada, F4, "system__tasking__protected_objects__entries__finalize_spec");
      begin
         F4;
      end;
      E089 := E089 - 1;
      declare
         procedure F5;
         pragma Import (Ada, F5, "ada__directories__finalize_spec");
      begin
         F5;
      end;
      E151 := E151 - 1;
      declare
         procedure F6;
         pragma Import (Ada, F6, "system__regexp__finalize_spec");
      begin
         F6;
      end;
      E165 := E165 - 1;
      declare
         procedure F7;
         pragma Import (Ada, F7, "system__pool_global__finalize_spec");
      begin
         F7;
      end;
      E119 := E119 - 1;
      declare
         procedure F8;
         pragma Import (Ada, F8, "ada__strings__unbounded__finalize_spec");
      begin
         F8;
      end;
      E157 := E157 - 1;
      declare
         procedure F9;
         pragma Import (Ada, F9, "ada__text_io__finalize_spec");
      begin
         F9;
      end;
      E125 := E125 - 1;
      declare
         procedure F10;
         pragma Import (Ada, F10, "system__storage_pools__subpools__finalize_spec");
      begin
         F10;
      end;
      E127 := E127 - 1;
      declare
         procedure F11;
         pragma Import (Ada, F11, "system__finalization_masters__finalize_spec");
      begin
         F11;
      end;
      E153 := E153 - 1;
      declare
         procedure F12;
         pragma Import (Ada, F12, "ada__streams__stream_io__finalize_spec");
      begin
         F12;
      end;
      declare
         procedure F13;
         pragma Import (Ada, F13, "system__file_io__finalize_body");
      begin
         E142 := E142 - 1;
         F13;
      end;
      declare
         procedure Reraise_Library_Exception_If_Any;
            pragma Import (Ada, Reraise_Library_Exception_If_Any, "__gnat_reraise_library_exception_if_any");
      begin
         Reraise_Library_Exception_If_Any;
      end;
   end finalize_library;

   procedure adafinal is
      procedure s_stalib_adafinal;
      pragma Import (C, s_stalib_adafinal, "system__standard_library__adafinal");

      procedure Runtime_Finalize;
      pragma Import (C, Runtime_Finalize, "__gnat_runtime_finalize");

   begin
      if not Is_Elaborated then
         return;
      end if;
      Is_Elaborated := False;
      Runtime_Finalize;
      s_stalib_adafinal;
   end adafinal;

   type No_Param_Proc is access procedure;

   procedure adainit is
      Main_Priority : Integer;
      pragma Import (C, Main_Priority, "__gl_main_priority");
      Time_Slice_Value : Integer;
      pragma Import (C, Time_Slice_Value, "__gl_time_slice_val");
      WC_Encoding : Character;
      pragma Import (C, WC_Encoding, "__gl_wc_encoding");
      Locking_Policy : Character;
      pragma Import (C, Locking_Policy, "__gl_locking_policy");
      Queuing_Policy : Character;
      pragma Import (C, Queuing_Policy, "__gl_queuing_policy");
      Task_Dispatching_Policy : Character;
      pragma Import (C, Task_Dispatching_Policy, "__gl_task_dispatching_policy");
      Priority_Specific_Dispatching : System.Address;
      pragma Import (C, Priority_Specific_Dispatching, "__gl_priority_specific_dispatching");
      Num_Specific_Dispatching : Integer;
      pragma Import (C, Num_Specific_Dispatching, "__gl_num_specific_dispatching");
      Main_CPU : Integer;
      pragma Import (C, Main_CPU, "__gl_main_cpu");
      Interrupt_States : System.Address;
      pragma Import (C, Interrupt_States, "__gl_interrupt_states");
      Num_Interrupt_States : Integer;
      pragma Import (C, Num_Interrupt_States, "__gl_num_interrupt_states");
      Unreserve_All_Interrupts : Integer;
      pragma Import (C, Unreserve_All_Interrupts, "__gl_unreserve_all_interrupts");
      Exception_Tracebacks : Integer;
      pragma Import (C, Exception_Tracebacks, "__gl_exception_tracebacks");
      Detect_Blocking : Integer;
      pragma Import (C, Detect_Blocking, "__gl_detect_blocking");
      Default_Stack_Size : Integer;
      pragma Import (C, Default_Stack_Size, "__gl_default_stack_size");
      Default_Secondary_Stack_Size : System.Parameters.Size_Type;
      pragma Import (C, Default_Secondary_Stack_Size, "__gnat_default_ss_size");
      Leap_Seconds_Support : Integer;
      pragma Import (C, Leap_Seconds_Support, "__gl_leap_seconds_support");
      Bind_Env_Addr : System.Address;
      pragma Import (C, Bind_Env_Addr, "__gl_bind_env_addr");

      procedure Runtime_Initialize (Install_Handler : Integer);
      pragma Import (C, Runtime_Initialize, "__gnat_runtime_initialize");

      Finalize_Library_Objects : No_Param_Proc;
      pragma Import (C, Finalize_Library_Objects, "__gnat_finalize_library_objects");
      Binder_Sec_Stacks_Count : Natural;
      pragma Import (Ada, Binder_Sec_Stacks_Count, "__gnat_binder_ss_count");
      Default_Sized_SS_Pool : System.Address;
      pragma Import (Ada, Default_Sized_SS_Pool, "__gnat_default_ss_pool");

   begin
      if Is_Elaborated then
         return;
      end if;
      Is_Elaborated := True;
      Main_Priority := -1;
      Time_Slice_Value := -1;
      WC_Encoding := 'b';
      Locking_Policy := ' ';
      Queuing_Policy := ' ';
      Task_Dispatching_Policy := ' ';
      System.Restrictions.Run_Time_Restrictions :=
        (Set =>
          (False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, True, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False),
         Value => (0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
         Violated =>
          (True, False, False, False, True, True, False, False, 
           True, False, False, True, True, True, True, False, 
           False, False, False, False, True, True, False, True, 
           True, False, True, True, True, True, False, True, 
           False, False, False, True, False, False, True, False, 
           True, False, True, True, False, False, True, True, 
           False, False, True, True, False, True, False, False, 
           False, False, False, False, False, True, True, True, 
           False, False, True, False, True, True, True, False, 
           True, True, False, True, True, True, True, False, 
           True, True, False, False, False, True, False, False, 
           False, False, True, False),
         Count => (0, 0, 0, 2, 0, 0, 0, 0, 1, 0),
         Unknown => (False, False, False, False, False, False, False, False, True, False));
      Priority_Specific_Dispatching :=
        Local_Priority_Specific_Dispatching'Address;
      Num_Specific_Dispatching := 0;
      Main_CPU := -1;
      Interrupt_States := Local_Interrupt_States'Address;
      Num_Interrupt_States := 0;
      Unreserve_All_Interrupts := 0;
      Exception_Tracebacks := 1;
      Detect_Blocking := 0;
      Default_Stack_Size := -1;
      Leap_Seconds_Support := 0;

      ada_main'Elab_Body;
      Default_Secondary_Stack_Size := System.Parameters.Runtime_Default_Sec_Stack_Size;
      Binder_Sec_Stacks_Count := 1;
      Default_Sized_SS_Pool := Sec_Default_Sized_Stacks'Address;

      Runtime_Initialize (1);

      Finalize_Library_Objects := finalize_library'access;

      System.Soft_Links'Elab_Spec;
      System.Exception_Table'Elab_Body;
      E012 := E012 + 1;
      System.Exceptions'Elab_Spec;
      E022 := E022 + 1;
      System.Soft_Links.Initialize'Elab_Body;
      E053 := E053 + 1;
      E014 := E014 + 1;
      Ada.Containers'Elab_Spec;
      E064 := E064 + 1;
      Ada.Io_Exceptions'Elab_Spec;
      E070 := E070 + 1;
      Ada.Strings'Elab_Spec;
      E009 := E009 + 1;
      Gnat'Elab_Spec;
      E158 := E158 + 1;
      Interfaces.C'Elab_Spec;
      E093 := E093 + 1;
      Interfaces.C.Strings'Elab_Spec;
      E205 := E205 + 1;
      System.Os_Lib'Elab_Body;
      E146 := E146 + 1;
      System.Task_Info'Elab_Spec;
      E221 := E221 + 1;
      Ada.Tags'Elab_Spec;
      Ada.Tags'Elab_Body;
      E072 := E072 + 1;
      Ada.Streams'Elab_Spec;
      E069 := E069 + 1;
      System.File_Control_Block'Elab_Spec;
      E149 := E149 + 1;
      System.Finalization_Root'Elab_Spec;
      E084 := E084 + 1;
      Ada.Finalization'Elab_Spec;
      E067 := E067 + 1;
      System.File_Io'Elab_Body;
      E142 := E142 + 1;
      Ada.Streams.Stream_Io'Elab_Spec;
      E153 := E153 + 1;
      System.Storage_Pools'Elab_Spec;
      E133 := E133 + 1;
      System.Finalization_Masters'Elab_Spec;
      System.Finalization_Masters'Elab_Body;
      E127 := E127 + 1;
      System.Storage_Pools.Subpools'Elab_Spec;
      E125 := E125 + 1;
      Ada.Calendar'Elab_Spec;
      Ada.Calendar'Elab_Body;
      E091 := E091 + 1;
      Ada.Calendar.Time_Zones'Elab_Spec;
      E099 := E099 + 1;
      Ada.Text_Io'Elab_Spec;
      Ada.Text_Io'Elab_Body;
      E157 := E157 + 1;
      Gnat.Calendar'Elab_Spec;
      E182 := E182 + 1;
      Ada.Strings.Maps'Elab_Spec;
      E057 := E057 + 1;
      Ada.Strings.Maps.Constants'Elab_Spec;
      E061 := E061 + 1;
      Ada.Strings.Unbounded'Elab_Spec;
      E119 := E119 + 1;
      System.Regpat'Elab_Spec;
      E194 := E194 + 1;
      System.Task_Primitives.Operations'Elab_Body;
      E215 := E215 + 1;
      Gnat.Calendar.Time_Io'Elab_Spec;
      E185 := E185 + 1;
      Gnat.Directory_Operations'Elab_Spec;
      Gnat.Directory_Operations'Elab_Body;
      E162 := E162 + 1;
      System.Pool_Global'Elab_Spec;
      E165 := E165 + 1;
      System.Regexp'Elab_Spec;
      E151 := E151 + 1;
      Ada.Directories'Elab_Spec;
      Ada.Directories'Elab_Body;
      E089 := E089 + 1;
      Gnat.Command_Line'Elab_Spec;
      Gnat.Command_Line'Elab_Body;
      E160 := E160 + 1;
      System.Tasking.Initialization'Elab_Body;
      E237 := E237 + 1;
      System.Tasking.Protected_Objects'Elab_Body;
      E247 := E247 + 1;
      System.Tasking.Protected_Objects.Entries'Elab_Spec;
      E249 := E249 + 1;
      System.Tasking.Queuing'Elab_Body;
      E245 := E245 + 1;
      Templates_Parser_Tasking'Elab_Body;
      E207 := E207 + 1;
      Templates_Parser'Elab_Spec;
      Templates_Parser.Utils'Elab_Spec;
      E201 := E201 + 1;
      Templates_Parser.Input'Elab_Spec;
      E199 := E199 + 1;
      Templates_Parser'Elab_Body;
      E173 := E173 + 1;
   end adainit;

   procedure Ada_Main_Program;
   pragma Import (Ada, Ada_Main_Program, "_ada_templates2ada");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer
   is
      procedure Initialize (Addr : System.Address);
      pragma Import (C, Initialize, "__gnat_initialize");

      procedure Finalize;
      pragma Import (C, Finalize, "__gnat_finalize");
      SEH : aliased array (1 .. 2) of Integer;

      Ensure_Reference : aliased System.Address := Ada_Main_Program_Name'Address;
      pragma Volatile (Ensure_Reference);

   begin
      gnat_argc := argc;
      gnat_argv := argv;
      gnat_envp := envp;

      Initialize (SEH'Address);
      adainit;
      Ada_Main_Program;
      adafinal;
      Finalize;
      return (gnat_exit_status);
   end;

--  BEGIN Object file/option list
   --   /builddir/build/BUILD/templates_parser-11.8.0/.build/aarch64-redhat-linux/release/relocatable/tobj/templates2ada.o
   --   -L/builddir/build/BUILD/templates_parser-11.8.0/.build/aarch64-redhat-linux/release/relocatable/tobj/
   --   -L/builddir/build/BUILD/templates_parser-11.8.0/.build/aarch64-redhat-linux/release/relocatable/tobj/
   --   -L/builddir/build/BUILD/templates_parser-11.8.0/.build/aarch64-redhat-linux/release/relocatable/lib/
   --   -L/usr/lib64/xmlada/
   --   -L/usr/lib/gcc/aarch64-redhat-linux/9/adalib/
   --   -shared
   --   -lgnarl-9
   --   -lgnat-9
   --   -lpthread
   --   -lrt
--  END Object file/option list   

end ada_main;
